package io.trygvis.soilmoisture;

import android.util.Log;

public class ExceptionHandler implements Thread.UncaughtExceptionHandler {
    private final static String TAG = ExceptionHandler.class.getSimpleName();

    public static final ExceptionHandler EXCEPTION_HANDLER = new ExceptionHandler();

    @Override
    public void uncaughtException(Thread thread, Throwable ex) {
        Log.e(TAG, "Uncaught", ex);

        Thread.getDefaultUncaughtExceptionHandler().uncaughtException(thread, ex);
    }
}
